<?php
error_reporting(E_ALL);
ini_set('display_errors', 1);
require "racs.php";
require "vtshowsBBB.php";
session_start();
if(!isset($_SESSION['titles']) || !isset($_SESSION['positions'])|| !isset($_SESSION['usernames'])){
header("location:index.php");}
?>

<html>
<title>Diana-Regional Performance</title>

<head>
<link rel="stylesheet" type="text/css" media="all" href="jsDatePick_ltr.min.css" />
<link rel="stylesheet" type="text/css" media="all" href="jsDatePick_ltr.css" />
<script type="text/javascript" src="jsDatePick.min.1.3.js"></script>
<script src="datesps.js"></script>
<link rel="stylesheet" type="text/css" href="vtxstyles.css">

<script>

function scopys(pr)
{
var dts=document.getElementById("dt");

var sels=window.getSelection();
sels.removeAllRanges();
var ranges=document.createRange();
ranges.selectNodeContents(dts);
sels.addRange(ranges);
document.execCommand("copy");
alert("Copied - successfull");
sels.removeAllRanges();
}


function srgs(pr)
{
var sv=document.getElementById('srctxt').value.toLowerCase();
var dt=document.getElementById('dt');
var rn=dt.rows.length;

for(var cnt=1;cnt<rn-1;cnt++){
tvl=dt.rows[cnt].cells[0].innerText.toLowerCase();
rvl=dt.rows[cnt].cells[1].innerText.toLowerCase();
if(sv.length>1 && (tvl.indexOf(sv)>=0 || rvl.indexOf(sv)>=0)){
dt.rows[cnt].style.display='table-row';}
else{
dt.rows[cnt].style.display='none';}
if(sv.length<=1){
dt.rows[cnt].style.display='table-row';}	
}

}
</script>
</head>
<body style='font-family:calibri;font-size:small;'>
<div style='width=30%;height:100%%;'>
<?php
$flt=racs(1);
if($flt=="access failed"){
printf("<div style='font-color:red;'>>Access failed\Contact Sales and Marketing division</div>");
}
else{
$conn=mysqli_connect("localhost","primarysales","S5L7lF01EQZvQrGK","primarysales_dianaold");

$sqlst="select report_block from acs where user_names='".$_SESSION['usernames']."' ";
$qry=mysqli_query($conn,$sqlst);

$rst=mysqli_fetch_row($qry);
if($rst[0]==1){
printf("<div style='position:absolute;top:100;left:200;font-size:16;'>Access Denied</div>");}
else{


if(isset($_REQUEST['starts'])){
$starts=$_REQUEST['starts'];}
else{
$starts=date('Y-m-01');}

if(isset($_REQUEST['ends'])){
$ends=$_REQUEST['ends'];}
else{
$ends=date('Y-m-t');}

if(isset($_REQUEST['chanell'])){
$chanell=$_REQUEST['chanell'];}
else{
$chanell='all';}

if(isset($_REQUEST['zones'])){
$zones=$_REQUEST['zones'];}
else{
$zones='all';}

if(isset($_REQUEST['regions'])){
$regions=$_REQUEST['regions'];}
else{
$regions='all';}

if(isset($_REQUEST['agents'])){
$agents=$_REQUEST['agents'];}
else{
$agents='all';}

if(isset($_REQUEST['terrys'])){
$terrys=$_REQUEST['terrys'];}
else{
$terrys='all';}

if(isset($_REQUEST['subregions'])){
$subregions=$_REQUEST['subregions'];}
else{
$subregions='all';}

if(isset($_REQUEST['agenttypes'])){
$agenttypes=$_REQUEST['agenttypes'];}
else{
$agenttypes='all';}

if(isset($_REQUEST['items'])){
$items=$_REQUEST['items'];}
else{
$items='all';}

if(isset($_REQUEST['ranges'])){
$ranges=$_REQUEST['ranges'];}
else{
$ranges='all';}

if(isset($_REQUEST['subranges'])){
$subranges=$_REQUEST['subranges'];}
else{
$subranges='all';}

#$flt=racs(1);

if(strtolower($chanell)!='all'){
$flt=$flt." and chanell='".$chanell."' ";}
if(strtolower($zones)!='all'){
$flt=$flt." and zones='".$zones."' ";}
if(strtolower($regions)!='all'){
$flt=$flt." and regions='".$regions."' ";}
if(strtolower($subregions)!='all'){
$flt=$flt." and sub_regions='".$subregions."' ";}
if(strtolower($agents)!='all'){
$flt=$flt." and agent_names='".$agents."' ";}
if(strtolower($agenttypes)!='all'){
$flt=$flt." and agent_types='".$agenttypes."' ";}
if(strtolower($terrys)!='all'){
$flt=$flt." and territory_names='".$terrys."' ";}
if(strtolower($items)!='all'){
$flt=$flt." and item_names='".$items."' ";}
if(strtolower($ranges)!='all'){
$flt=$flt." and item_ranges='".$ranges."' ";}
if(strtolower($subranges)!='all'){
$flt=$flt." and sub_ranges='".$subranges."' ";}

stps(1);
printf("<div class='sds'>");
rdentrydash(1);
printf("</div>");

printf("<div class='mnf'>");
printf("<div style='font-size:16;color:#006699;border-bottom:1px solid silver;width:30%%;'>Performance $starts - $ends</div>");

$tv=0;
$tz=0;
$arr=array();

printf("<BR>");
$sprt="&zones=".$zones."&regions=".$regions."&subregions=".$subregions."&agents=".$agents."&agenttypes=".$agenttypes."&terrys=".$terrys."&ranges=".$ranges."&items=".$items."&subranges=".$subranges;

$sqlst="select rgs from (select distinct zone_orders as rds,regions as rgs from rc_invoices union select distinct zone_orders,regions from rc_targets order by rds) as sbs";
$qry=mysqli_query($conn,$sqlst);

printf("<div style='width:100%%;height:5%%;border:0px solid silver;border-radius:2px;display:table;vertical-align:middle;'>");

printf("<form method='post' action='rpmrdslregionl.php?actp=rpt%s'><table style='width:100%%;font-size:13;'>",$sprt);
printf("<tr><td width=5%%><input type='text' id='inputField' value='%s' name='starts' size=8 style='font-size:13;background:#CACACA;border:1px solid #006699;border-radius:1px;font-family:calibri;color:#006699;'></td><td width=1%%>-</td><td width=5%%><input type='text' id='inputField2' value='%s' name='ends' size=8 style='font-size:13;background:#CACACA;border:1px solid #006699;border-radius:1px;font-family:calibri;color:#006699;'></td>
<td width=20%%><select name='zones' style='width:95%%;font-size:13;background:#CACACA;border:1px solid #006699;border-radius:1px;font-family:calibri;color:#006699;'><option>%s</option><option>All</option>",$starts,$ends,$zones);
while($rst=mysqli_fetch_row($qry)){
printf("<option>%s</option>",$rst[0]);}	
printf("</select></td><td><input type='submit' value='Go' style='font-size:13;background:#CACACA;color:#006699;border:1.5px solid #006699;border-radius:1pxfont-size:13;'></td></form>",$starts,$ends);

printf("<td width=38%% align='right' style='color:grey;'>Search</td><td width=20%%>
<input type='text' id='srctxt' size=28 style='font-family:calibri;font-size:14;border:1px solid silver;border-radius:1.5px;' onkeyup=\"srgs(event)\"></td><td style='font-size:12;color:green;text-align:center;background:silver;border:1px solid white;' onclick=\"scopys(1)\">Copy</td></tr>");
printf("</table>");
//<td style='border:1px solid white;text-align:center;'>Order(with Cancel)</td>
//<td style='border:1px solid white;text-align:center;width:5%%;'>Region</td>
printf("<table id='dt' style='width:100%%;font-size:13;border-collapse:collapse;color:#006699;'>
<tr style='background:silver;border:1px solid white;text-align:right;'>

<td style='border:1px solid white;text-align:center;width:5%%;'>Area</td>
<td style='border:1px solid white;text-align:center;width:5%%;'>Tar-primar-Ton</td>
<td style='border:1px solid white;text-align:center;width:5%%;'>Primary-Ton</td>
<td style='border:1px solid white;text-align:center;width:2%%;'>Pri:%%</td>
<td style='border:1px solid white;text-align:center;width:5%%;'>Target-RD-Ton</td>
<td style='border:1px solid white;text-align:center;width:5%%;'>RD-Ton</td>
<td style='border:1px solid white;text-align:center;width:2%%;'>RD:%%</td>
<td style='border:1px solid white;text-align:center;width:5%%;'>Order-Ton</td>
<td style='border:1px solid white;text-align:center;width:5%%;'>Pending Invoice-Ton</td>

<td style='border:1px solid white;text-align:center;width:5%%;'>Primary-Target-val</td>
<td style='border:1px solid white;text-align:center;width:5%%;'>Order</td>
<td style='border:1px solid white;text-align:center;width:5%%;'>Pen-Inv</td>
<td style='border:1px solid white;text-align:center;width:5%%;'>Primary Sales</td>
<td style='border:1px solid white;text-align:center;width:2%%;'>Pri:%%</td>
<td style='border:1px solid white;text-align:center;width:5%%;'>Primary Difict</td>
<td style='border:1px solid white;text-align:center;width:5%%;'>RD-Target-val</td>
<td style='border:1px solid white;text-align:center;width:5%%;'>RD-[DB+Dir]</td>
<td style='border:1px solid white;text-align:center;width:2%%;'>Rd:%%</td>
<td style='border:1px solid white;text-align:center;width:5%%;'>DB-RD</td>
<td style='border:1px solid white;text-align:center;width:4%%;'>Direct</td>
<td style='border:1px solid white;text-align:center;width:4%%;'>P-Calls</td>
<td style='border:1px solid white;text-align:center;width:4%%;'>W-Days</td>
<td style='background:silver;border:1px solid white;width:2%%;' align='center'>View</td>
<td style='background:silver;border:1px solid white;width:2%%;' align='center'>View</td>
<td style='background:silver;border:1px solid white;width:2%%;' align='center'>View</td>
<td style='background:silver;border:1px solid white;width:2%%;' align='center'>View</td>
<td style='background:silver;border:1px solid white;width:3%%;' align='center'>Trend-Ton</td>
<td style='background:silver;border:1px solid white;width:3%%;' align='center'>Trend-Ton</td>
<td style='background:silver;border:1px solid white;width:3%%;' align='center'>KPI</td>
</tr>");



/////////////////////Wihout Stock Start Below ////////////////////////////

$sqlst="select mzones,tgvl,acvl,odvl,rdvl,odvlc,pcls,rdavgday,wdays,acvldir,tton,prton,odton,penodton,penodval,rdton,rddir,tgvlrd,ttonrd,znn from (select distinct rgs as mzones from (select distinct zone_orders as rds,regions as rgs from rc_invoices ".$flt." and dates>='".$starts."' and dates<='".$ends."' and chanell='GENERAL TRADE' AND zones<>'H-OFFICE' union select distinct zone_orders,regions from rc_targets ".$flt."  and dates>='".$starts."' and dates<='".$ends."'and chanell='GENERAL TRADE' union select distinct zone_orders,regions from rd_targets ".$flt."  and dates>='".$starts."' and dates<='".$ends."'and chanell='GENERAL TRADE' union select distinct zone_orders,regions from rd_saleinv ".$flt."  and dates>='".$starts."' and dates<='".$ends."' union select distinct zone_orders,regions from rc_orders ".$flt."  and dates>='".$starts."' and dates<='".$ends."' and chanell='GENERAL TRADE' AND zones<>'H-OFFICE' order by rds) as zns) as ags 

left join (select regions,sum(box_qty*box_price) as tgvl,sum(box_qty*packets_per_box*packet_weights/1000000) as tton,zones as znn from rc_targets ".$flt." and dates>='".$starts."' and dates<='".$ends."' and chanell='GENERAL TRADE' group by regions) as tgs on tgs.regions=mzones 

left join (select regions,sum(box_qty*box_price) as tgvlrd,sum(box_qty*packets_per_box*packet_weights/1000000) as ttonrd from rd_targets ".$flt." and dates>='".$starts."' and dates<='".$ends."' and chanell='GENERAL TRADE' group by regions) as tgsrd on tgsrd.regions=mzones 

left join (select regions,sum(box_qty*box_price) as acvl,sum(box_qty*packets_per_box*packet_weights/1000000) as prton from rc_invoices ".$flt." and dates>='".$starts."' and dates<='".$ends."' and chanell='GENERAL TRADE' AND zones<>'H-OFFICE' group by regions) 
as acs on acs.regions=mzones

left join (select regions,sum(box_qty*box_price) as odvl,sum(box_qty*packets_per_box*packet_weights/1000000) as odton from rc_orders ".$flt." and dates>='".$starts."' and dates<='".$ends."' and order_status<>'CANCELLED' and chanell='GENERAL TRADE' AND zones<>'H-OFFICE' group by regions) 
as acss on acss.regions=mzones 

left join (select regions,sum(box_qty*box_price) as odvlc from rc_orders ".$flt." and dates>='".$starts."' and dates<='".$ends."' and chanell='GENERAL TRADE' AND zones<>'H-OFFICE' group by regions) 
as acssod on acssod.regions=mzones 

left join (select regions,sum(box_qty*box_price) as penodval,sum(box_qty*packets_per_box*packet_weights/1000000) as penodton from rc_orders ".$flt." and dates>='".$starts."' and dates<='".$ends."' and order_status='PENDING'and chanell='GENERAL TRADE' AND zones<>'H-OFFICE' group by regions) 
as acssopd on acssopd.regions=mzones 

left join (select regions,sum(pcs_qty*pcs_price) as rdvl,sum(pcalls) as pcls,sum(pcs_qty*pcs_price)/count(distinct(invoice_number))*count(distinct(agent_names)) as rdavgday,count(distinct(dates)) as wdays,sum(pcs_qty*packet_weights)/1000000 as rdton from rd_saleinv ".$flt." and dates>='".$starts."' and dates<='".$ends."' group by regions) 
as rds on rds.regions=mzones

left join (select regions,sum(box_qty*box_price) as acvldir,sum(box_qty*packets_per_box*packet_weights/1000000) as rddir from rc_invoices ".$flt." and dates>='".$starts."' and dates<='".$ends."' and agent_types='DIRECT' and chanell='GENERAL TRADE' and chanell='GENERAL TRADE' AND zones<>'H-OFFICE' group by regions) 
as acsdr on acsdr.regions=mzones";
 
 
/////////////////////Wihout Stock End //////////////////////////// 
 
$tgv=0;
$acv=0;
$tgw=0;
$acw=0;
$odv=0;
$rdv=0;
$pcl=0;
$odvlc=0;
$rdavgday=0;
$wdays=0;
$sttot=0;
$tottrton=0;
$totprton=0;
$totodton=0;
$penodton=0;
$penodvl=0;
$rdton=0;
$totrdton=0;
$totrdvalue=0;
$dbrd=0;
$ddrd=0;
 
$qry=mysqli_query($conn,$sqlst);
while($rst=mysqli_fetch_row($qry)){
$tgv=$tgv+$rst[1];
$odv=$odv+$rst[3];
$acv=$acv+$rst[2];
$rdv=$rdv+$rst[4]+$rst[9];
$pcl=$pcl+$rst[6];
$odvlc=$odvlc+$rst[5];
$rdavgday=$rdavgday+$rst[7];
$wdays=$wdays+$rst[8];
$sttot=$sttot+$rst[10]+$rst[11]+$rst[12]-$rst[9];
$dbrd=$dbrd+$rst[4];
$ddrd=$ddrd+$rst[9];
$tottrton=$tottrton+$rst[10];
$totprton=$totprton+$rst[11];
$totodton=$totodton+$rst[12];
$penodton=$penodton+$rst[13];
$penodvl=$penodvl+$rst[14];
$rdton=$rdton+$rst[15]+$rst[16];
$totrdton+=$rst[18];
$rddt=$rst[15]+$rst[16];
$totrdvalue+=$rst[17];


if($rst[1]==0){
$pcs=0;}
else{
$pcs=$rst[2]*100/$rst[1];}

if($rst[10]==0){
$tton=0;}
else{
$tton=$rst[11]*100/$rst[10];}

if($rst[1]==0){
$rdss=0;}
else{
$rdss=($rst[4]+$rst[9])*100/$rst[17];}


printf("<tr style='border-bottom:1px solid silver;'>
<td>%s</td>

<td align='right'>%s</td>
<td align='right'>%s</td>
<td align='right'style='color:red'bgcolor='#DAF7A6'>%s%%</td>
<td align='right'>%s</td>
<td align='right'>%s</td>
<td align='right'style='color:red'bgcolor='#DAF7A6'>%s%%</td>
<td align='right'>%s</td>
<td align='right'style='color:red'bgcolor='#FFE333'>%s</td>

<td align='right'>%s</td>
<td align='right'>%s</td>
<td align='right'style='color:522109'bgcolor='FFE033'>%s</td>
<td align='right'>%s</td>
<td align='right'style='color:522109'bgcolor='#DAF7A6'>%s%%</td>
<td align='right' style='color:black'>%s</td>
<td align='right' style='color:red'>%s</td>
<td align='right' style='color:purple'>%s</td>
<td align='right' style='color:black'bgcolor='#DAF7A6'>%s%%</td>
<td align='right' style='color:black'bgcolor='#D6EAF8'>%s</td>
<td align='right' style='color:purple'>%s</td>
<td align='right' style='color:green'>%s</td>
<td align='right' style='color:orange'>%s</td>

<td align='center'><a href='rpmrdagenttgsummary.php?starts=%s&ends=%s&regions=%s' target='_blank'>Agent</a></td>

<td align='center'><a href='rpmrangenew.php?starts=%s&ends=%s&regions=%s' target='_blank'>Range</a></td>

<td align='center'><a href='rpmtgttitemwisetgsummary.php?starts=%s&ends=%s&regions=%s' target='_blank'>items</a></td>

<td align='center'><a href='rpmtgttitemwisetgsummary.php?starts=%s&ends=%s&regions=%s&agenttypes=%s' target='_blank'>DItem</a></td>

<td align='center'><a href='sku_saletrendgtproductton.php?starts=%s&ends=%s&regions=%s' target='_blank'>SKU</a></td>

<td align='center'><a href='sku_saletrendgtrangeton.php?starts=%s&ends=%s&regions=%s' target='_blank'>Range</a></td>

<td align='center'><a href='rpmrdagenttgsummarykpi.php?starts=%s&ends=%s&regions=%s&chanell=%s' target='_blank'>Day</a></td>

</tr>",

$rst[0],
number_format($rst[10],2,'.',','),
number_format($rst[11],2,'.',','),
number_format($tton,1,'.',','),
number_format($rst[18],2,'.',','),
number_format($rst[15]+$rst[16],2,'.',','),
number_format($rddt/$rst[18] * 100,2,'.',','),

number_format($rst[12],2,'.',','),
number_format($rst[13],2,'.',','),

number_format($rst[1],0,'.',','),
number_format($rst[3],0,'.',','),
number_format($rst[14],0,'.',','),
number_format($rst[2],0,'.',','),
number_format($pcs,1,'.',','),
number_format($rst[2]-$rst[1],0,'.',','),
number_format($rst[17],0,'.',','),
number_format($rst[4]+$rst[9],0,'.',','),
number_format($rdss,1,'.',','),
//number_format(+$rst[10]+$rst[11]+$rst[12]-$rst[9],0,'.',','),
number_format($rst[4],0,'.',','),
number_format($rst[9],0,'.',','),
number_format($rst[6],0,'.',','),
number_format($rst[8],0,'.',','),
$starts,$ends,$rst[0],$starts,$ends,$rst[0],$starts,$ends,$rst[0],$starts,$ends,$rst[0],'DIRECT',$starts,$ends,$rst[0],$starts,$ends,$rst[0],$starts,$ends,$rst[0],'GENERAL TRADE');
}


printf("<tr style='border-bottom:1px solid silver;font-weight:bold;'>
<td>Total</td>

<td align='right'>%s</td>
<td align='right'>%s</td>
<td align='right'bgcolor='#DAF7A6'>%s%%</td>
<td align='right'>%s</td>
<td align='right'>%s</td>
<td align='right'bgcolor='#DAF7A6'>%s%%</td>
<td align='right'>%s</td>
<td align='right'>%s</td>

<td align='right'>%s</td>
<td align='right'>%s</td>
<td align='right'>%s</td>
<td align='right'>%s</td>
<td align='right'bgcolor='#DAF7A6'>%s%%</td>
<td align='right'>%s</td>
<td align='right'>%s</td>
<td align='right'>%s</td>
<td align='right'bgcolor='#DAF7A6'>%s%%</td>
<td align='right'bgcolor='#D6EAF8'>%s</td>
<td align='right'>%s</td>
<td align='right'>%s</td>
<td align='right'>%s</td>

<td align='center'><a href='rpmrdagenttgsummary.php?starts=%s&ends=%s&regions=%s&chanell=GENERAL TRADE' target='_blank'>Agents</a></td>

<td align='center'><a href='rpmrangenew.php?starts=%s&ends=%s' target='_blank'>Range</a></td>

<td align='center'><a href='rpmtgttitemwisetgsummary.php?starts=%s&ends=%s&chanell=GENERAL TRADE' target='_blank'>items</a></td>

<td align='center'><a href='rpmtgttitemwisetgsummary.php?starts=%s&ends=%s&agenttypes=DIRECT&chanell=GENERAL TRADE' target='_blank'>Ditem</a></td>

<td align='center'><a href='sku_saletrendgtproductton.php?starts=%s&ends=%s&chanell=GENERAL TRADE' target='_blank'>Sku</a></td>

<td align='center'><a href='sku_saletrendgtrangeton.php?starts=%s&ends=%s&chanell=GENERAL TRADE' target='_blank'>Range</a></td>

<td align='center'><a href='rpmrdagenttgsummarykpi.php?starts=%s&ends=%s&regions=%s&chanell=%s' target='_blank'>Day</a></td>

</tr></table>",
number_format($tottrton,2,'.',','),
number_format($totprton,2,'.',','),
number_format($totprton/$tottrton*100,2,'.',','),
number_format($totrdton,2,'.',','),
number_format($rdton,2,'.',','),
number_format($rdton/$totrdton*100,2,'.',','),
number_format($totodton,2,'.',','),
number_format($penodton,2,'.',','),
number_format($tgv,0,'.',','),
number_format($odv,0,'.',','),
number_format($penodvl,0,'.',','),
number_format($acv,0,'.',','),
number_format($acv/$tgv*100,1,'.',','),
number_format($acv-$tgv,0,'.',','),
number_format($totrdvalue,0,'.',','),
number_format($rdv,0,'.',','),
number_format($rdv/$tgv*100,1,'.',','),
number_format($dbrd,0,'.',','),
number_format($ddrd,0,',',','),
number_format($pcl,0,'.',','),
number_format($wdays,0,',',','),
$starts,$ends,$regions,$starts,$ends,$starts,$ends,$starts,$ends,$starts,$ends,$starts,$ends,$starts,$ends,$regions,'GENERAL TRADE');

$monthdate=date('t');
$datess=cal_days_in_month(CAL_GREGORIAN, 9, 2020);
$prevdatestart=date('Y-m-d', strtotime('-1 month', strtotime($starts)));
$prevdateend=date('Y-m-d', strtotime('-1 month', strtotime($ends)));;

//echo cal_days_in_month(CAL_GREGORIAN, 9, 2020);
//print('Next Date ' . date('Y-m-d', strtotime('-1 month', strtotime($ends))));

printf("<BR>");



//////////////////////////////////////////////////////////////////////

printf("</table>");
printf("Under development");
//<td style='border:1px solid white;text-align:center;'>Order(with Cancel)</td>
printf("<table id='dt' style='width:100%%;font-size:13;border-collapse:collapse;color:#006699;'>
<tr style='background:silver;border:1px solid white;text-align:right;'>
<td style='border:1px solid white;text-align:center;width:5%%;'>Area</td>
<td style='border:1px solid white;text-align:center;width:5%%;'>primary-Gross</td>
<td style='border:1px solid white;text-align:center;width:5%%;'>Discount</td>
<td style='border:1px solid white;text-align:center;width:5%%;'>Primary-Net</td>
<td style='border:1px solid white;text-align:center;width:5%%;'>Cash</td>
<td style='border:1px solid white;text-align:center;width:5%%;'>Cash:%%</td>
<td style='border:1px solid white;text-align:center;width:2%%;'>Credit</td>
<td style='border:1px solid white;text-align:center;width:5%%;'>Credit:%%</td>

</tr>");

////////////////////////||||||||||||||||//////////////////////////////////



$sqlst="select mzones,gros,discount,cashtot,credit from (select distinct rgs as mzones from (select distinct zone_orders as rds,regions as rgs from rc_invoices ".$flt." and dates>='".$starts."' and dates<='".$ends."' and chanell='GENERAL TRADE' order by rds) as znsn) as agss

left join (select regions,sum(box_qty*box_price) as gros,sum(box_qty*box_price*discount_rates) as discount from rc_invoices ".$flt." and dates>='".$starts."' and dates<='".$ends."' and chanell='GENERAL TRADE' group by regions) as tgsn on tgsn.regions=mzones

left join (select regions,sum(box_qty*box_price)+sum(box_qty*box_price*discount_rates) as cashtot from rc_invoices ".$flt." and dates>='".$starts."' and dates<='".$ends."' and chanell='GENERAL TRADE' and paymode='GT-CASH' group by regions) as tgcsn on tgcsn.regions=mzones

left join (select regions,sum(box_qty*box_price)+sum(box_qty*box_price*discount_rates) as credit from rc_invoices ".$flt." and dates>='".$starts."' and dates<='".$ends."' and chanell='GENERAL TRADE' and paymode='GT-CREDIT' group by regions) as tgcrsn on tgcrsn.regions=mzones 

";


 
 
//////////////////////////||||||||||||||||||||||//////////////////////////

$grs=0;
$dist=0;
$net=0;
$cshm=0;
$crdm=0;
$cshd=0;

 
$qry=mysqli_query($conn,$sqlst);
while($rstt=mysqli_fetch_row($qry)){
$grs=$grs+$rstt[1];
$dist=$dist+$rstt[2];
$cshm=$cshm+$rstt[3];
$crdm=$crdm+$rstt[4];
//$cshd=$cshd+$rstt[5];
$net=$grs+$dist;


//<td align='right'style='color:522109'bgcolor='FFE033'>%s</td>

printf("<tr style='border-bottom:1px solid silver;'>
<td>%s</td>
<td align='right'>%s</td>
<td align='right'>%s</td>
<td align='right'>%s</td>
<td align='right'>%s</td>
<td align='right'>%s</td>
<td align='right'>%s</td>
<td align='right'>%s</td>


</tr>",
$rstt[0],
number_format($rstt[1],0,'.',','),
number_format($rstt[2],0,'.',','),
number_format($rstt[1]+$rstt[2],0,'.',','),
number_format($rstt[3],0,'.',','),
number_format($rstt[3]/$net*100,0,'.',','),
number_format($rstt[4],0,'.',','),
number_format($rstt[4]/$net*100,0,'.',','));
}


printf("<tr style='border-bottom:1px solid silver;font-weight:bold;'>
<td>Total</td>
<td align='right'>%s</td>
<td align='right'>%s</td>
<td align='right'>%s</td>
<td align='right'>%s</td>
<td align='right'>%s</td>
<td align='right'>%s</td>
<td align='right'>%s</td>



</tr></table>",
number_format($grs,0,'.',','),
number_format($dist,0,'.',','),
number_format($net,0,'.',','),
number_format($cshm,0,'.',','),
number_format(0,0,'.',','),
number_format($crdm,0,'.',','),
number_format(0,0,'.',','),
number_format(cshd,0,'.',','));





///////////////////////////////////////////////////////////////////////

}
$myTime = strtotime("2/1/2021");  // Use whatever date format you want
$daysInMonth = cal_days_in_month(CAL_GREGORIAN, 2, 2021); // 31
$workDays = 0;

while($daysInMonth > 0)
{
    $day = date("D", $myTime); // Sun - Sat
   // if($day != "Sun" && $day != "Sat")
      if($day !="Sun" && $day != "$holidays")
        $workDays++;

    $daysInMonth--;
    $myTime += 86400; // 86,400 seconds = 24 hrs.
}

//echo "There are $workDays work days this month!";


///////////////////////sample holiday counts////////////////

printf("<BR>");
printf("<BR>");
printf("<BR>");

function getWorkingDays($startDate,$endDate,$holidays) {
    // do strtotime calculations just once
    $endDate = strtotime($endDate);
    $startDate = strtotime($startDate);


    //The total number of days between the two dates. We compute the no. of seconds and divide it to 60*60*24
    //We add one to inlude both dates in the interval.
    $days = ($endDate - $startDate) / 86400 + 1;

    $no_full_weeks = floor($days / 7);
    $no_remaining_days = fmod($days, 7);

    //It will return 1 if it's Monday,.. ,7 for Sunday
    $the_first_day_of_week = date("N", $startDate);
    $the_last_day_of_week = date("N", $endDate);

    //---->The two can be equal in leap years when february has 29 days, the equal sign is added here
    //In the first case the whole interval is within a week, in the second case the interval falls in two weeks.
    if ($the_first_day_of_week <= $the_last_day_of_week) {
        if ($the_first_day_of_week <= 6 && 6 <= $the_last_day_of_week) $no_remaining_days--;
        if ($the_first_day_of_week <= 7 && 7 <= $the_last_day_of_week) $no_remaining_days--;
    }
    else {
        // (edit by Tokes to fix an edge case where the start day was a Sunday
        // and the end day was NOT a Saturday)

        // the day of the week for start is later than the day of the week for end
        if ($the_first_day_of_week == 7) {
            // if the start date is a Sunday, then we definitely subtract 1 day
            $no_remaining_days--;

            if ($the_last_day_of_week == 6) {
                // if the end date is a Saturday, then we subtract another day
                $no_remaining_days--;
            }
        }
        else {
            // the start date was a Saturday (or earlier), and the end date was (Mon..Fri)
            // so we skip an entire weekend and subtract 2 days
            $no_remaining_days -= 2;
        }
    }

//The no. of business days is: (number of weeks between the two dates) * (5 working days) + the remainder
//---->february in none leap years gave a remainder of 0 but still calculated weekends between first and last day, this is one way to fix it
   $workingDays = $no_full_weeks * 5;
    if ($no_remaining_days > 0 )
    {
      $workingDays += $no_remaining_days;
    }

    //We subtract the holidays
    foreach($holidays as $holiday){
        $time_stamp=strtotime($holiday);
        //If the holiday doesn't fall in weekend
        if ($startDate <= $time_stamp && $time_stamp <= $endDate && date("N",$time_stamp) != 6 && date("N",$time_stamp) != 7)
            $workingDays--;
    }

    return $workingDays;
}
}
//Example:

$holidays=array("2021-02-01","2021-02-28");

//echo getWorkingDays("2021-02-01","2021-02-28",$holidays)

//printf("<tr border='2'><td><a href='regionzones.php?'target='_blank'>REGIONS</a></td></tr>");

// => will return 7

///////////////holiday count sample end////////////////////


?>

</div>
</body>
</html>